<?php

/* Любые самостоятельные скрипты, модули для cms , готовые сайты под ключ, разработка браузерных игр по вашему тех.заданию, оптимизация(seo), безопасность ресурса на wap фриланс Копеек.нет -> http://koneek.net © Кредитор, icq 441460, e-mail kpegumop@yandex.ru */

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Магазин Одежды';
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<link rel='stylesheet' href='style.css' type='text/css' /><center>";
echo "<div class='grad32'><img src='fermer.gif'></div><div class='ferm3'><img src='shop25.gif'><br/><div class='grad16'>Магазин одежды</div>";
echo "<a href='shop.php'>Семяна</a> | <a href='shop_udobr.php'>Удобрения</a> | Одежда
 | <a href='reeltor.php'>Недвижимость</a> | <a href='dog.php'>Зоомагазин</a></center><div class='ferm3'>";

If (!isset($_GET['p']) || !ereg("^[a-z0-9_-]{1,15}$",$_GET['p'])) $p=false; else $p=$_GET['p'];
switch ($p){


default:

echo "Здесь вы можете купить новые вещи, которые зделают вас более популярными.<br/>";

echo "<b>Разделы:</b><br/>";
echo "<a href=\"shop_of_clothes.php?p=head\">Голова</a><br/>\n";
echo "<a href=\"shop_of_clothes.php?p=torso\">Торс</a><br/>\n";
echo "<a href=\"shop_of_clothes.php?p=hands\">Руки</a><br/>\n";
echo "<a href=\"shop_of_clothes.php?p=feet\">Ноги</a><br/>\n";
echo "<a href=\"shop_of_clothes.php?p=shoe\">Обувь</a><br/>\n";
echo "<a href=\"shop_of_clothes.php?p=akses\">Аксесуары</a><br/>\n";
echo "<a href=\"shop_of_clothes.php?p=akses_two\">Доп.аксесуары</a><br/>\n";
echo "<a href=\"shop_of_clothes.php?p=akses_three\">Доп.аксесуары</a><br/>\n";
break;


case 'info':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};
$x=mysql_query("SELECT * FROM `k_shop` WHERE `id`='$id' ");
if(!mysql_num_rows($x)){
echo 'Такой вещи не существует!';
break;
};
while($row=mysql_fetch_assoc($x)){

if($row['pol']==0){
$pol='на девушку';
};
if($row['pol']==1){
$pol='на парня';
};

echo '<img src="images/'.$row['path'].'" alt=""/><br />';
echo '<b>Название:</b> <br />'.$row['name'].'<br />';
echo '<b>Описание:</b> <br />'.$row['opis'].'<br />';
echo '<b>Пол:</b> '.$pol.'</font><br />';

if($user['pol']==$row['pol']){
echo '<b>Сексуальность:</b> <font color=\'green\'>'.$row['sex'].'</font><br />';
echo '<b>Шикарность:</b> <font color=\'green\'>'.$row['shik'].'</font><br />';
echo '<b>Деловитость:</b> <font color=\'green\'>'.$row['del'].'</font><br />';
echo '<b>Спортивность:</b> <font color=\'green\'>'.$row['sport'].'</font><br />';
echo '<b>Эпатажность:</b> <font color=\'green\'>'.$row['epat'].'</font><br />';
echo '<b>Гламурность:</b> <font color=\'green\'>'.$row['glam'].'</font><br />';
echo '<b>Цена:</b> <font color=\'red\'>'.$row['cena'].'</font> монет<br />';
}else{
echo '<b>Сексуальность:</b> <font color=\'red\'>-'.$row['sex'].'</font><br />';
echo '<b>Шикарность:</b> <font color=\'red\'>-'.$row['shik'].'</font><br />';
echo '<b>Деловитость:</b> <font color=\'red\'>-'.$row['del'].'</font><br />';
echo '<b>Спортивность:</b> <font color=\'red\'>-'.$row['sport'].'</font><br />';
echo '<b>Эпатажность:</b> <font color=\'red\'>-'.$row['epat'].'</font><br />';
echo '<b>Гламурность:</b> <font color=\'red\'>-'.$row['glam'].'</font><br />';
echo '<b>Цена:</b> <font color=\'red\'>'.$row['cena'].'</font> монет<br />';
echo 'Думаю переодеваться в вещи противоположного пола плохая идея... <br/>';
};
echo '<a href="shop_of_clothes.php?p=buy&amp;id='.$row['id'].'"><b>Купить</b></a><br />';
};
break;


case 'head':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='head'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'В раздел Головные уборы пока не завезли';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='head' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="shop_of_clothes.php?p=info&amp;id='.$row['id'].'"> '.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=head&',$k_page,$page); // Вывод страниц
break;


case 'torso':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='torso'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Очень жаль, но в этой категории вещи отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='torso' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="shop_of_clothes.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=torso&',$k_page,$page); // Вывод страниц
break;


case 'hands':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='hands'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Очень жаль, но в этой категории вещи отсутствуют...';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='hands' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="shop_of_clothes.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=hands&',$k_page,$page); // Вывод страниц
break;


case 'feet':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='feet'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Очень жаль, но в этой категории вещи отсутствуют...';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='feet' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="shop_of_clothes.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';

};

if ($k_page>1)str('?p=feet&',$k_page,$page); // Вывод страниц
break;


case 'shoe':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='shoe'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Очень жаль, но в этой категории пока вещи отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='shoe' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo '<img src="images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="shop_of_clothes.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=shoe&',$k_page,$page); // Вывод страниц
break;


case 'akses':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='akses'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Аксесуары пока отсутствуют';
break;
};
$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='akses' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo'<img src="images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="shop_of_clothes.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=akses&',$k_page,$page); // Вывод страниц
break;


case 'akses_two':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='akses_two'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Доп.аксесуары пока отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='akses_two' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo'<img src="images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="shop_of_clothes.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=akses_two&',$k_page,$page); // Вывод страниц
break;


case 'akses_three':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='akses_three'"),0);

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){echo 'Доп.аксесуаров пока нет';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='akses_three' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo'<img src="images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="shop_of_clothes.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a> <br/>';
};

if ($k_page>1)str('?p=akses_three&',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `id`='$id'");
if(!mysql_num_rows($x)){
echo 'Такой одежды не существует!';
break;
};

$x=mysql_fetch_assoc($x);

$w=mysql_query("SELECT * FROM `k_user` WHERE `type`='".$x['type']."' AND `uid`='".$user['id']."'");

$w=mysql_fetch_assoc($w);
if($x['type']==$w['type']){
echo'На вас уже одето <b>'.$w['name'].'</b><br />';
}else{

if($user['fermer_money']<=$x['cena']){
echo ''.$user['nick'].', у вас не достаточно денег фермы для данной покупки...<br/>';
}else{
if($user['pol']=$x['pol']){
mysql_query("UPDATE `user` SET `fermer_money`=`fermer_money`-'".$x['cena']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `k_user` (`vid`,`uid`,`name`,`opis`,`path`,`type`,`cena`,`pol`,`sex`,`shik`,`del`,`sport`,`epat`,`glam`)VALUES('".$x['id']."','".$user['id']."','".$x['name']."','".$x['opis']."','".$x['path']."','".$x['type']."','".$x['cena']."','".$x['pol']."','".$x['sex']."','".$x['shik']."','".$x['del']."','".$x['sport']."','".$x['epat']."','".$x['glam']."')");
}else{
mysql_query("UPDATE `user` SET `fermer_money`=`fermer_money`-'".$x['cena']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `k_user` (`vid`,`uid`,`name`,`opis`,`path`,`type`,`cena`,`pol`,`sex`,`shik`,`del`,`sport`,`epat`,`glam`)VALUES('".$x['id']."','".$user['id']."','".$x['name']."','".$x['opis']."','".$x['path']."','".$x['type']."','".$x['cena']."','".$x['pol']."','-".$x['sex']."','-".$x['shik']."','-".$x['del']."','-".$x['sport']."','-".$x['epat']."','-".$x['glam']."')");
};

echo '<div class=\"msg\">Вы приобрели часть одежды - '.$x['name'].'</div><br/>';
};
};

break;


};

echo'<div class="foot">';
echo '<a href="shop_of_clothes.php"><img src="egg.png"> Магазин Одежды</a><br />';
echo '<a href="closet.php"><img src="egg.png"> Мой гардероб</a><br />';
echo "<a href='my.php'><img src='egg.png'> На ферму</a><br/>";
echo "<a href='index.php'><img src='egg.png'> В игру</a>";
echo '</div></div>';
include_once '../sys/inc/tfoot.php';
?>